// Console.java
//
// CompSci 141 / CSE 141 / Informatics 101 Spring 2013
// Code Example
//
// The purpose of the Console class is to call System.out.print() for each
// character of output, rather than for an entire String.  The reason is
// because System.out.print() and System.out.println() -- at least in my
// experience -- appear to have synchronization in them, so that only one
// thread can write to the console at once.  To show you the effect of
// removing the locking and wait/notify, output is done using this Console
// class so that, if two threads are simultaneously writing strings to the
// console, the characters of the strings will be interleaved.

public class Console
{
	public static void output(String s)
	{
		for (char c : s.toCharArray())
		{
			System.out.print(c);
		}
	}
}
